package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.core.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * wms_move_task_ref
 * @author 
 */
@Table(value = "wms_move_task_ref",appendDefaultJdbcType = true,camelToUnderline = true)
public class WmsMoveTaskRef implements Serializable {
    private static final long serialVersionUID = -8353456118168700275L;
    /**
     * 编号
     */
    private String id;

    /**
     * 单据号
     */
    private String billId;

    /**
     * 子单号
     */
    private String lineBillId;

    /**
     * 关联单号
     */
    private String refBillId;

    /**
     * 原单号
     */
    private String srcCode;

    /**
     * 原单号
     */
    private String waveId;

    /**
     * 补货对应的出库单号
     */
    private String moveBillId;

    /**
     * 补货单号
     */
    private String moveTaskId;

    /**
     * 关联子单号
     */
    private String refLineBillId;

    /**
     * 数量
     */
    private BigDecimal refQuantity;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getLineBillId() {
        return lineBillId;
    }

    public void setLineBillId(String lineBillId) {
        this.lineBillId = lineBillId;
    }

    public String getRefBillId() {
        return refBillId;
    }

    public void setRefBillId(String refBillId) {
        this.refBillId = refBillId;
    }

    public String getRefLineBillId() {
        return refLineBillId;
    }

    public void setRefLineBillId(String refLineBillId) {
        this.refLineBillId = refLineBillId;
    }

    public BigDecimal getRefQuantity() {
        return refQuantity;
    }

    public void setRefQuantity(BigDecimal refQuantity) {
        this.refQuantity = refQuantity;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getSrcCode() {
        return srcCode;
    }

    public void setSrcCode(String srcCode) {
        this.srcCode = srcCode;
    }

    public String getMoveBillId() {
        return moveBillId;
    }

    public void setMoveBillId(String moveBillId) {
        this.moveBillId = moveBillId;
    }

    public String getMoveTaskId() {
        return moveTaskId;
    }

    public void setMoveTaskId(String moveTaskId) {
        this.moveTaskId = moveTaskId;
    }
}